Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Class WMPServiceFactory

    java.lang.Object
      org.deegree.ogcwebservices.wmps.WMPServiceFactory

    public final class WMPServiceFactory

extends Object

Service Factory class handles the WMPService Instance.

Version:
  2.0
Author:
  Anup Deshmukh

Constructor Summary
`WMPServiceFactory()`

Method Summary
`static WMPService` | `getInstance(WMPSConfiguration config)` Returns a WMPService instance
`static WMPService` | `getService()` Returns a WMPService instance
`static boolean` | `isInitialized()` Returns true/false depending on the initialized state of the instance.
`static void` | `setConfiguration(URL serviceConfigurationUrl)` Sets the service configuration
`static void` | `setConfiguration(WMPSConfiguration wmpsConfiguration)` Sets the WMPSConfiguration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPServiceFactory

    public WMPServiceFactory()

Method Detail

### getService

    public static WMPService getService()

  Returns a WMPService instance

  Returns:
    WMPService

### getInstance

    public static WMPService getInstance(WMPSConfiguration config)

  Returns a WMPService instance

  Parameters:
    `config` -
  Returns:
    WMPService

### isInitialized

    public static boolean isInitialized()

  Returns true/false depending on the initialized state of the instance.

  Returns:
    boolean

### setConfiguration

    public static void setConfiguration(WMPSConfiguration wmpsConfiguration)

  Sets the WMPSConfiguration

  Parameters:
    `wmpsConfiguration` -

### setConfiguration

    public static void setConfiguration(URL serviceConfigurationUrl)
                                 throws InvalidConfigurationException

  Sets the service configuration

  Parameters:
    `serviceConfigurationUrl` -
  Throws:
    `InvalidConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org